package com.bocloud.ims.service.internal.worker;

import java.util.List;
import java.util.Map;

/**
 * @author wangyu
 * @version 5.0.0-SNAPSHOT
 * @since 2021/3/12
 */
public class Group {
    private String name;
    private List<GroupHost> hosts;
    private Map<String, Object> vars;

    public Group(String name, List<GroupHost> hosts, Map<String, Object> vars) {
        this.name = name;
        this.hosts = hosts;
        this.vars = vars;
    }

    public Group() {
    }

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<GroupHost> getHosts() {
        return this.hosts;
    }

    public void setHosts(List<GroupHost> hosts) {
        this.hosts = hosts;
    }

    public Map<String, Object> getVars() {
        return this.vars;
    }

    public void setVars(Map<String, Object> vars) {
        this.vars = vars;
    }
}
